Antom, leading provider of tailored payment solutions

createDirectPayment

POST /v1/aba/funds/createDirectPayment

Use this API to initiate a payment. Once initiated, the response will contain the transaction status and processing instructions from ABA.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 

Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

paymentRequestId String  REQUIRED

The unique ID assigned by a merchant to identify a payment request.

More information:

  • This field is an API idempotency field.
  • Maximum length: 32 characters

memo String  

Description for a sender.

More information:

  • Maximum length: 128 characters

remark String  

Description for a receiver.

More information:

  • Maximum length: 128 characters

order Order  

The order information.

Show child parameters

paymentNotifyUrl String  

The URL that is used to receive the payment status notification.

More information:

  • Maximum length: 256 characters

payToMethod PayToMethod  REQUIRED

Payment method details.
Show child parameters

payToAmount Amount  REQUIRED

Pay-to amount details.
Show child parameters

payFromAmount Amount  REQUIRED

Pay-from amount details.
Show child parameters

Response parameters

result Result  REQUIRED

Indicates whether this API is called successfully.

Show child parameters

paymentId String  

The unique ID that is assigned by Antom to identify a payment.

More information:

  • Maximum length: 32 characters

paymentRequestId String  

The unique ID assigned by a merchant to identify a payment request.

More information:

  • Maximum length: 128 characters

payToMethod PayToMethod  

Payment method details.

Show child parameters

paymentAmount Amount  

The payment amount that the merchant requests to receive in the order currency.

Show child parameters

payToAmount Amount  

Pay-to amount details.

Show child parameters

paymentTime Datetime  

The time when the payment is completed.

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".
API Explorer

Request

URL
Method
POST
Request Body

Response

Case
Success
Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

The payment is successful, no further action is needed.

PROCESSINGSProcessing

Payment is accepted. You may inquire for the results later.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

ACCESS_DENIEDFAccess denied.

Contact Antom Technical Support for detailed reasons.

USER_BALANCE_NOT_ENOUGHFBalance not enough.

Insufficient balance amount, please top up your balance before retrying.

USER_NOT_EXISTFThe user nor exist.

User not found, try again with a valid user id. If the issue persists, contact Antom Technical Support.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

This currency is not supported, please try with a valid currency.

PROCESS_FAILFA general business failure occurred. Don't retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

REQUEST_TRAFFIC_EXCEED_LIMITURequest traffic exceed limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

PARAM_ILLEGALFIllegal parameters. For example, non-numeric input, invalid date.

Check your parameters and invoke again.

USER_ACCOUNT_ABNORMALFThe user's account is abnormal.

Contact Antom Technical Support for detailed reasons.

USER_STATUS_ABNORMALFThe user status is abnormal.

Contact Antom Technical Support for detailed reasons.

RISK_REJECTFThe transaction cannot be further processed because of security reasons. If the user has already paid for the transaction, the transaction will be refunded.

Risk rejection. Contact Antom Technical Support for detailed reasons.

AMOUNT_EXCEED_LIMITFThe payment amount is greater than the maximum amount allowed by the contract or payment method.

Please check your payment amount and try again.

REPEAT_REQ_INCONSISTENTFThe amount or currency is different from the previous request.

Please check your request and retry with the correct values.